Electron before versions 7.2.4 Other Vulnerability

Summary

In Electron before versions 7.2.4, 8.2.4, and 9.0.0-beta21, there is a context isolation bypass. Code running in the main world context in the renderer can reach into the isolated Electron context and perform privileged actions.

Credit:

The information has been provided by Vendor

The original article can be found at:https://www.electronjs.org/releases/stable?page=3#release-notes-for-v824


Details

Apps using contextIsolation are affected. This is fixed in versions 9.0.0-beta.21, 8.2.4 and 7.2.4.

 

Vulnerable Systems:

Electron before versions 7.2.4

Electron before versions 8.2.4

Electron before versions 9.0.0-beta21

 

CVE Information:

CVE-2020-4076

 

Disclosure Timeline:
Published Date:7/6/2020

Categories: News